package udp;

import java.io.IOException;
import java.net.DatagramPacket;
import java.net.DatagramSocket;
import java.net.InetAddress;
import java.net.SocketException;
import java.util.logging.Level;
import java.util.logging.Logger;

public class UDPSzerver {

    public static void main(String[] args) {
        byte[] puffer = new byte[1024];
        int port = 1008;
        DatagramSocket ds;
        System.out.println("UDP Szerver elindult");

        while (true) {
            try {
                ds = new DatagramSocket(port);
                DatagramPacket packet = new DatagramPacket(puffer, puffer.length);
                ds.receive(packet); //blokkol, amig nem jon egy packet
                InetAddress client = packet.getAddress();
                int clientPort = packet.getPort();
                System.out.println(" Fogadott uzenet: " +
                        new String(puffer).trim() + "\nuzeno kliens: " + client + "\nport: " + clientPort);
                ds.close();

            } catch (SocketException ex) {
                Logger.getLogger(UDPSzerver.class.getName()).log(Level.SEVERE, null, ex);
            } catch (IOException ex) {
                Logger.getLogger(UDPSzerver.class.getName()).log(Level.SEVERE, null, ex);
            }
        }
    }
}




